A high-performance general-purpose compute library

- Main Page
- Tutorials
- Release Notes
- Examples

Functions
real
ArrayFire Functions | ArrayFire Functions by Category » Mathematical functions » Complex operations

## Functions
array | real (const array &in)
| C++ Interface to return the real part of a complex array.
af_err | af_real (af_array *out, const af_array in)
| C Interface to return the real part of a complex array.

## Detailed Description

Returns the real part of a complex array.

## Function Documentation

## ◆ af_real()

af_err af_real | ( | af_array * | out,
|  | const af_array | in )

C Interface to return the real part of a complex array.

Parameters

  [out] | out | real part
  [in] | in | complex array

Returns
  AF_SUCCESS, if function returns successfully, else an af_err code is given

## ◆ real()

array real | ( | const array & | in | ) |

C++ Interface to return the real part of a complex array.

Parameters

  [in] | in | input complex array

Returns
  real part